<?php

if(! defined('OT_ROOT')) {
	exit('Access Denied');
}


class AppXcxAd{
	public static $appName = '小程序看广告领奖励';
	public static $appID = 179;

	public static function Jud(){
		return false;
	}

	public static function Show($str, $def=''){
			return $def;
	}

	public static function ErrBox($str=''){
		$dataArr = array();
		$dataArr['res']		= false;
		$dataArr['note']	= StrInfo::AlertStr('noApp');
		die( json_encode($dataArr) );
	}

	public static function TypeCN($str, $mode=''){
		switch ($str){
			case 'word':	return '关键词奖励';
			case 'news':	return '文章卡密';
			case 'score':	return '积分卡密';
			case 'money':	return '金额卡密';
			default :
				if ($mode == 'det'){
					return '['. $str .']';
				}else{
					return '[未知]';
				}
		}
	}

	public static function SysInfo(){
		$dataArr = array();
		$dataArr['res']		= false;
		$dataArr['note']	= StrInfo::AlertStr('noApp');
		$dataArr['data']	= null;

		die( json_encode($dataArr) );
	}


	public static function Order(){
		$retArr = array('res' => false, 'note' => '', 'data' => null);
		$retArr['note'] = StrInfo::AlertStr('noApp');

		die( json_encode($retArr) );
	}

	public static function RecordList(){
		$dataArr	= array('res' => false, 'note' => '', 'size' => 0, 'page' => 0, 'pageCount' => 0, 'count' => 0, 'dataCount' => 0, 'data' => array());
		$dataArr['res']		= false;
		$dataArr['note']	= StrInfo::AlertStr('noApp');
		$dataArr['size']	= 0;
		$dataArr['page']	= 0;
		die( json_encode($dataArr) );
	}

	public static function InfoOptionBox2(){
	}

	public static function InfoSysCheckItem($IS_addition){
	}

	public static function InfoCheckItem($IF_addition, $source='admin'){
	}

	public static function InfoReadItem($dataID, $webPathPart='', $mode='pc'){

	}

	public static function InfoReadPassArr($dataID){
		return array('res'=>false, 'note'=>StrInfo::AlertStr('noApp'));
	}

	public static function Deal($mode='pc'){

	}

	public static function UcInfoCheckItem($IF_addition){
	}

	public static function CheckUse($code,$type=''){
		return array('res'=>false, 'id'=>0, 'note'=>StrInfo::AlertStr('noApp'));
	}

	public static function ToUse($code, $type=''){
		return array('res'=>false, 'note'=>StrInfo::AlertStr('noApp'));
	}

	public static function UcPayWeb($UE_ID,$mode='pc'){

	}

	public static function UcManage($userID,$mode='pc'){
	}

	public static function UcDeal($mode='pc'){

	}
}
?>